package com.carrotsearch.hppc;

/**
 * Marker interface for containers that can check if they contain a given object in
 * at least time <code>O(log n)</code> and ideally in amortized 
 * constant time <code>O(1)</code>.
 */
 @javax.annotation.Generated(date = "2013-05-06T19:14:12+0200", value = "HPPC generated from: FloatLookupContainer.java") 
public interface FloatLookupContainer extends FloatContainer
{
    public boolean contains(float e);
}
